Subject: bug#9839: compile with gdb running

From: Adam <[email-masked]>
Date: Mon, 24 Oct 2011 16:57:38 +0200

Glenn Morris <[email-masked]> writes:

I investigated a little.  Somehow the call to the process sentinel
(compilation-sentinel) is delayed until the gdb process is quit.

Unfortunately I lack the understanding of Emacs internals to debug this
annoying issue further.

> Please don't cross-post to the help and bug lists, just pick one.
> Hopefully I have managed to arrange it so that your report only
> appears on the bug list.
>
> Here is the report so that others can see it:
>
>     I am using emacs pretest on GNU/Linux. I stumbled upon an
>     interesting behaviour today. How to reproduce:
>
>     emacs -q
>     M-x gdb RET ls RET
>     r
>     # at this point gdb is starting ls
>     M-x compile RET
>
>     The compile buffer pops up, but there is not the
>
>     "make: *** No targets specified and no makefile found.  Stop.
>     Compilation exited abnormally ..."-
>
>     output.
>
>     Is this a bug? If so, how can I work around it?